Autocad Slot Command



Tutorial on slot in AutoCAD. 1 Answer Sudhir Gill. Answered on 21 Feb, 2012 04:58 PM Here is the tutorial. Teaches high school students the concept of drawing slots. Command: c CIRCLE Specify center point for circle or 3P/2P/Ttr (tan tan radius): (klik dilembar kerja, lalu tarik kesamping) Specify radius of circle or Diameter: (masukan angka 200, tekan tombol ENTER) Sekali lagi buat lingkaran Command: C CIRCLE Specify center point for circle or 3P/2P/Ttr (tan tan radius): (klik ditengah lingkaran pertama). Hello, Today We Learn How to use Tcircle Command in AutoCAD Drawing. We can draw Circle, Slot and Rectangle frame around Selected Text in AutoCAD Drawing. Command: Tcircle Short-cut: TCI Menu: Express Text Enclose Text with Object. Enclose Selected Dtext or Mtext Objects using Circle, Slot or Rectangle Object.

Autocad Slot Command Blocks

Autocad

slot routine

Autocad Slot Command Tool

slot routine

Autocad Slot Command

i have been trying to create a lisp program that will draw a slot but am having problems with it not sure where the problem is
it will not draw the slot to correct size
any help would be appricated
thanks
(defun C:SLOT (/ A B B1 B2 C D PW)
(setq PW (getvar'PLINEWID'))
(initget 1)
(setq B1 (getdist 'nLength of slot: '))
(setq B2 (/ B1 2.0))
(setq B (list B2 0.0))
(initget 1)
(setq C (list 0.0 (getdist 'nWidth of slot: ')))
(initget 1)
(while
(setq A (getpoint 'nInsertion point: '))
(setq D (list (- (car A) (/ (car B) 2)) (- (cadr A) (/ (cadr C) 2))))
(setvar 'PLINEWID' 0)
(command '_.pline'
D
(mapcar '+ D B)
'_a'
(mapcar '+ D B C)
'_l'
(mapcar '+ D C)
'_a'
'_cl')
);while
(setvar 'PLINEWID' PW)
(princ)
)